Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.web.servlet.mvc.condition
Interface MediaTypeExpression

    public interface MediaTypeExpression

A contract for media type expressions (e.g. "text/plain", "!text/plain") as defined in the `@RequestMapping` annotation for "consumes" and "produces" conditions.

Since:
  3.1
Author:
  Rossen Stoyanchev
See Also:
  `RequestMapping.consumes()`, `RequestMapping.produces()`

Method Summary
`MediaType` | `getMediaType()`
`boolean` | `isNegated()`

Method Detail

### getMediaType

    MediaType getMediaType()

### isNegated

    boolean isNegated()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD